Subject: bug#44554: 27.1; Feature request: SRFI-62 style comments for Emacs Lisp.

From: Eduardo Ochs <[email-masked]>
Date: Thu, 12 Nov 2020 20:55:51 -0300

I use this a lot in my elip files, but with a space between the
initial apostrophe and the open perenthesis, like this:

;; A test:
' (let ((ee-youtubedl-dirs '("DIR1" "DIR2")))
    (find-youtubedl-links))

Without the space after the apostrophe a C-x C-e after the sexp would
just return the (let ...) instead of executing it. I like this trick
because it works anywhere and beginners understand it in seconds.

  Cheers,
    Eduardo Ochs
    http://angg.twu.net/#eev
    http://angg.twu.net/emacsconf2019.html

On Wed, 11 Nov 2020 at 10:59, Jean Louis <[email-masked]> wrote:
>
> * Vladimir Nikishkin <[email-masked]> [2020-11-11 11:19]:
> > Just to clarify,
> >
> > I am not asking that exactly the syntax of srfi-62 as it is be added.
> > (Although Emacs Lisp already uses #'symbol as a reader-syntax switch,
> > so I suspect that it is possible)
> > I am asking for _some_ syntax to comment out valid sexps, whichever
> > fits Emacs Lisp most.
>
> Would this work?
>
> '(
>
> )
>
> Or there could be some macro to comment out anything:
>
> (do-not-process
>
> Put anything you wish here.
>
> )